﻿namespace WpfDevelopment.MVVM.Tests
{
    using System.Collections;
    using System.Collections.Generic;
    using System.Resources;

    public class ResourceSetStub : ResourceSet
    {
        private Hashtable hashTable = new Hashtable();

        public ResourceSetStub(IDictionary<string, string> dictionary)
        {
            foreach (var pair in dictionary)
            {
                this.hashTable.Add(pair.Key, pair.Value);
            }
        }

        public override IDictionaryEnumerator GetEnumerator()
        {
            return this.hashTable.GetEnumerator();
        }
    }
}
