﻿//-----------------------------------------------------------------------
// <copyright file="Contract.cs" company="WpfDevelopment.com">
//     Copyright WpfDevelopment.com. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------
namespace Hrmsystem.Domain
{
    using System.ComponentModel.DataAnnotations;
    using WpfDevelopment.MVVM;

    /// <summary>
    /// The contract domain object
    /// </summary>
    public class Contract : ModelBase
    {
        /// <summary>
        /// Gets or sets the title.
        /// </summary>
        /// <value>The title.</value>
        [StringLength(5, ErrorMessage = "string should be less than 5.. fool")]
        public string Title { get; set; }

        /// <summary>
        /// Gets or sets the department.
        /// </summary>
        /// <value>The department.</value>
        public Department Department
        {
            get;
            set;
        }
    }
}
