﻿//-----------------------------------------------------------------------
// <copyright file="Employee.cs" company="WpfDevelopment.com">
//     Copyright WpfDevelopment.com. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------
namespace Hrmsystem.Domain
{
    using System;
    using System.ComponentModel.DataAnnotations;

    /// <summary>
    /// The employee domain object
    /// </summary>
    public class Employee : Person
    {
        /// <summary>
        /// Gets the title.
        /// </summary>
        /// <value>The title.</value>
        [UIHint("TextBox")]
        public string Title 
        { 
            get { return Contract.Title; } 
        }

        ////public Training Training
        ////{
        ////    get;
        ////    set;
        ////}

        /// <summary>
        /// Gets or sets the contract.
        /// </summary>
        /// <value>The contract.</value>
        public Contract Contract
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the hire date.
        /// </summary>
        /// <value>The hire date.</value>
        public DateTime HireDate { get; set; }

        ////public PerformanceReview PerformanceReview
        ////{
        ////    get;
        ////    set;
        ////}
    }
}
