﻿//-----------------------------------------------------------------------
// <copyright file="Skill.cs" company="WpfDevelopment.com">
//     Copyright WpfDevelopment.com. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------
namespace Hrmsystem.Domain
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using WpfDevelopment.MVVM;

    /// <summary>
    /// The skill model class
    /// </summary>
    public class Skill : ModelBase
    {
        /// <summary>
        /// Gets or sets the skill level.
        /// </summary>
        /// <value>The skill level.</value>
        public SkillLevel SkillLevel
        {
            get;
            set;
        }
    }
}
