﻿//-----------------------------------------------------------------------
// <copyright file="SkillLevel.cs" company="WpfDevelopment.com">
//     Copyright WpfDevelopment.com. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------
namespace Hrmsystem.Domain
{
    /// <summary>
    /// The skill level of a person for a given skill
    /// </summary>
    public enum SkillLevel
    {
        /// <summary>
        /// Is aware of the knowledge of the skill
        /// </summary>
        Aware,

        /// <summary>
        /// Knows something about the skill
        /// </summary>
        Knowledgeable,

        /// <summary>
        /// The person is proficient
        /// </summary>
        Proficient,

        /// <summary>
        /// An Expert of the skill
        /// </summary>
        Expert
    }
}
