﻿namespace WpfDevelopment.MVVM.Tests
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using System.Dynamic;
    using System.Linq.Expressions;

    public class GetMemberBinderStub : GetMemberBinder
    {
        public GetMemberBinderStub(string name) : base(name, true)
        {
            Name = name;
        }

        public new string Name { get; set; }

        public override DynamicMetaObject FallbackGetMember(DynamicMetaObject target, DynamicMetaObject errorSuggestion)
        {
            return new DynamicMetaObject(null, BindingRestrictions.Empty);
        }
    }
}
