﻿// -----------------------------------------------------------------------
// <copyright file="Log.cs" company="Microsoft">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace WpfDevelopment.MVVM
{
    using System;
    using System.Globalization;

    /// <summary>
    /// A Log class to store the message and the Date and Time the log entry was created
    /// </summary>
    public class LogItem
    {
        public LogItem(string message)
        {
            Message = message;
            LogDate = DateTime.Now.ToString("yyyy-MM-dd", CultureInfo.InvariantCulture);
            LogTime = DateTime.Now.ToString("hh:mm:ss.fff tt", CultureInfo.InvariantCulture);
        }

        public string Message 
        { 
            get; 
            set; 
        }
        
        public string LogTime 
        { 
            get; 
            set; 
        }
        
        public string LogDate 
        { 
            get; 
            set; 
        }
    }
}
